Package org.apache.sling.scripting.sightly.impl.compiler.frontend

## Class SightlyParserErrorListener

- java.lang.Object
- - org.antlr.v4.runtime.BaseErrorListener
  - - org.apache.sling.scripting.sightly.impl.compiler.frontend.SightlyParserErrorListener

All Implemented Interfaces:
  `org.antlr.v4.runtime.ANTLRErrorListener`

    public class SightlyParserErrorListener
    extends org.antlr.v4.runtime.BaseErrorListener

The `SightlyParserErrorListener` handles parsing error reporting by sending offending input to a logger.

### Constructor Summary

Constructors
`SightlyParserErrorListener()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `syntaxError​(org.antlr.v4.runtime.Recognizer<?,​?> recognizer, Object offendingSymbol, int line, int charPositionInLine, String msg, org.antlr.v4.runtime.RecognitionException e)`

### Methods inherited from class org.antlr.v4.runtime.BaseErrorListener

`reportAmbiguity, reportAttemptingFullContext, reportContextSensitivity`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SightlyParserErrorListener

    public SightlyParserErrorListener()

### Method Detail

#### syntaxError

    public void syntaxError​(org.antlr.v4.runtime.Recognizer<?,​?> recognizer,
                            Object offendingSymbol,
                            int line,
                            int charPositionInLine,
                            String msg,
                            org.antlr.v4.runtime.RecognitionException e)

Specified by:
  `syntaxError` in interface `org.antlr.v4.runtime.ANTLRErrorListener`
Overrides:
  `syntaxError` in class `org.antlr.v4.runtime.BaseErrorListener`